<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Level/index')}">{:lang('USER_LEVEL_LIST')}</a></li>
			<li class="active"><a >{:lang('ADD')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Level/addPost')}">

            <div class="form-group">
				<label for="input-levelid" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LEVEL')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-levelid" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}" name="levelid">
                    <p class="help-block">{:lang('PLEASE_FILL_INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-levelname" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-levelname" name="levelname">
				</div>
			</div>

            <div class="form-group">
                <label for="input-levelname_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
                <div class="col-md-6 col-sm-10">
                    <input type="text" class="form-control" id="input-levelname_en" name="levelname_en">
                </div>
            </div>
            
            <div class="form-group">
				<label for="input-level_up" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('LEVEL_EXP_CAP')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-level_up" name="level_up" maxlength="9999999999" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}">
                    <p class="help-block">{:lang('PLEASE_FILL_INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}</p>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-colour" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('NICKNAME_COLOR')}</label>
				<div class="col-md-6 col-sm-10">
                    <input class="form-control js-color valid" name="colour" id="color"  aria-invalid="false" style="display:inline-block;width:200px;">
                    <input class="form-control" id="colour_block" style="display:inline-block;;width:50px;background:#000;" disabled/>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-thumb" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ICON')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="hidden" name="thumb" id="thumbnail" value="">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail');">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail" value="{:lang('REMOVE_IMAGE')}"> {:lang('IMAGE_DIMENSIONS', ['width' => '90', 'height' => '45'])}
				</div>
			</div>
            
            <div class="form-group" id="">
				<label for="input-thumb_mark" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('AVATAR_BADGE')}</label>
				<div class="col-md-6 col-sm-10">
                    <input type="hidden" name="thumb_mark" id="thumbnail2" value="">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail2');">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail2-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail2" value="{:lang('REMOVE_IMAGE')}"> {:lang('IMAGE_DIMENSIONS', ['width' => '40', 'height' => '40'])}
				</div>
			</div>
            
            <div class="form-group" id="">
				<label for="input-bg" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('BACKGROUND_IMAGE')}</label>
				<div class="col-md-6 col-sm-10">
                    <input type="hidden" name="bg" id="thumbnail3" value="">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail3');">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail3-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail3" value="{:lang('REMOVE_IMAGE')}"> {:lang('IMAGE_DIMENSIONS', ['width' => '200', 'height' => '90'])}
				</div>
			</div>
            
           
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('ADD')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>
            
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script>
    Wind.use('colorpicker',function(){
        $('.js-color').each(function () {
            var $this=$(this);
            $this.ColorPicker({
                livePreview:true,
                onChange: function(hsb, hex, rgb) {
                    $("#colour_block").css('background','#'+hex);
                    $this.val(hex);
                },
                onBeforeShow: function () {
                    $(this).ColorPickerSetColor(this.value);
                }
            });
        });

    });
        (function(){
            $('.btn-cancel-thumbnail').click(function () {
                $('#thumbnail-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail').val('');
            });
            
            $('.btn-cancel-thumbnail2').click(function () {
                $('#thumbnail2-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail2').val('');
            });

            $('.btn-cancel-thumbnail3').click(function () {
                $('#thumbnail3-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail3').val('');
            });
        })()
    </script>
</body>
</html>